# vim: set ft=spec: -*- rpm-spec -*-

Name: rpmwrap
Version: 0.20060510
Release: alt1

Summary: Simple rpm/rpmbuld wrapper and macrofile substituter
Group: Development/Other
License: Public domain

Packager: Sir Raorn <raorn@altlinux.ru>

BuildArch: noarch

PreReq: rpm rpm-build

Source: %name-%version.tar.bz2

%description
%name is a simple rpm/rpmbuld wrapper that feeds rpm/rpmbuild with
.rpmmacros-like file depending on current working directory.

%prep
%setup -q

%build
cat <<EOF > rpmwraprc
RPM_PREFIX="%_bindir"
RPM="\$RPM_PREFIX/rpm"
macrofile=".rpmwrapmacros"
allow_prefix=
EOF

%install
%__mkdir_p %buildroot{%_bindir,%_sysconfdir/rpm}
%__install -p -m755 rpmwrap %buildroot%_bindir/%name
%__install -p -m644 rpmwraprc %buildroot%_sysconfdir/rpm/%{name}rc

%__ln_s %name %buildroot%_bindir/%name-rpm
%__ln_s %name %buildroot%_bindir/%name-rpmbuild
%__ln_s %name %buildroot%_bindir/%name-rpmquery

%files
%doc *-sample
%config(noreplace) %_sysconfdir/rpm/%{name}rc
%_bindir/%name
%_bindir/%name-*

%changelog
* Wed May 10 2006 Sir Raorn <raorn@altlinux.ru> 0.20060510-alt1
- Built for Sisyphus

